Bug 98329 - Builtin module order places mod_perl before mod_ssl
Builtin module order places mod_perl before mod_ssl
Product: Stronghold Cross Platform
Classification: Retired
Component: apache (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
Stronghold Engineering List
Depends On:
  Show dependency treegraph
Reported: 2003-07-01 04:58 EDT by Joe Orton
Modified: 2007-04-18 12:55 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-04-07 10:41:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2003-07-01 04:58:40 EDT
Description of problem:
mod_perl is added to the module list before mod_ssl (it comes later in the
default Configuration file).  This means that, for instance, mod_perl fixup
handlers do not have access to the mod_ssl environment variables.

Version-Release number of selected component (if applicable):

How reproducible:

Additional info:
This is a change, and a regression, since Stronghold 3.0.
Comment 1 Joe Orton 2004-04-07 10:41:42 EDT
This issue was fixed in the Stronghold 4.0h patch release.

Note You need to log in before you can comment on or make changes to this bug.